"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAuthAttributes = exports.updateAuthAttribute = exports.setAuthAttributes = exports.resetAuthAttributes = exports.slice = void 0;
const toolkit_1 = require("@reduxjs/toolkit");
const initialState = {
    authenticated: undefined,
    accessToken: undefined,
    refreshToken: undefined,
};
exports.slice = (0, toolkit_1.createSlice)({
    name: 'auth',
    initialState,
    reducers: {
        setAuthAttributes: (state, action) => (Object.assign(Object.assign({}, state), action.payload)),
        updateAuthAttribute: {
            prepare: (key, value) => ({
                payload: { key, value },
            }),
            reducer: (state, action) => {
                state[action.payload.key] = action.payload.value;
            },
        },
        resetAuthAttributes: () => initialState,
    },
});
exports.resetAuthAttributes = exports.slice.actions.resetAuthAttributes;
exports.setAuthAttributes = exports.slice.actions.setAuthAttributes;
exports.updateAuthAttribute = exports.slice.actions.updateAuthAttribute;
const getAuthAttributes = (state) => state.procyon.auth;
exports.getAuthAttributes = getAuthAttributes;
